<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="layout">

<head>
    <meta charset="UTF-8" />
    <title>JEE Banque</title>
    <link rel="stylesheet" type="text/css" href="./css/style.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.1.3/css/bootstrap.min.css" rel="stylesheet">
	<link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet">
  
</head>
<body>
<div th:replace="~{headeremp :: myheaderemp}"></div>

<section layout:fragment="content">
    <div class="col-md-6">
        <div class="panel panel-danger">
            <div class="panel-heading">Compte</div>
            <div class="panel-body">
                <form th:action="@{/Employe/consulterCompte}" method="get">
                    <div>
                        <label>Indiquez le code de compte : </label>
                        <input type="text" name="codeCompte" >
                        <button type="submit" class="btn btn-danger">Chercher</button>
                    </div>
                </form>
                <div th:if="${exception}" th:text="${exception}" class="red" >
            </div>
        </div>
        </div>
    <div class="panel panel-primary" th:if="${compte}">
            <div class="panel-heading">Information sur le compte</div>
            <div class="panel-body">
                <div>
                    <label>Client: </label>
                    <label th:text="${compte.client.nomClient}"></label>
                </div>
                <div>
                <label>Code : </label>
                <label th:text="${compte.codeCompte}"></label>
                </div>
                <div>
                <label>Date creation : </label>
                <label th:text="${compte.dateCreation}"></label>
                </div>
                <div>
                <label>Solde : </label>
                <label th:text="${compte.solde}"></label>
                </div>
                <div>
                    <label>Type : </label>
                    <label th:text="${compte.class.simpleName}"></label>
                </div>
                <div th:if="${compte.class.simpleName} == 'CompteCourant'">
                    <label>Decouvert : </label>
                    <label th:text="${compte.decouvert}"></label>
                </div>
                <div th:if="${compte.class.simpleName} == 'CompteEpargne'">
                    <label>Taux : </label>
                    <label th:text="${compte.taux}"></label>
                </div>

            </div>
        </div>
    </div>
    <div class="col-md-6"  th:if="${compte}" >
        <div class="panel panel-danger" sec:authorize="hasRole('ROLE_ADMIN')" >
            <div class="panel-heading">Operations sur le compte</div>
            <div class="panel-body">
                <form th:action="@{/save_op}" method="post">
                    <div >
                        <label>Compte</label>
                        <input type="hidden" name="codeCompte" th:value="${compte.codeCompte}">
                        <label th:text="${compte.codeCompte}"></label>
                    </div>
                    <div >
                        <input type="radio" name="typeOperation" th:value="VERS" checked="checked" onchange="document.getElementById('forVers').style.display='none'">
                        <label>Versement</label>
                        <input type="radio" name="typeOperation" th:value="RETR" onchange="document.getElementById('forVers').style.display='none'">
                        <label>Retrait</label>
                        <input type="radio" name="typeOperation" th:value="VIR" onchange="document.getElementById('forVers').style.display='block'">
                        <label>Virement</label>
                    </div>
                    <div id="forVers" style="display:none">
                        <label>VERS : </label>
                        <input type="text" name="codeCompte2">
                    </div>
                    <div>
                        <label>Montant : </label>
                        <input type="text" name="montant">
                    </div>
                    <div th:text="${#httpServletRequest.getParameter('error')}" class="red"></div>

                    <button type="submit" class="btn btn-primary">Valider</button>

                </form>

            </div>
        </div>
        <div class="panel panel-primary" th:if="${compte}">
            <div class="panel-heading">liste des operations</div>
            <div class="panel-body">
                <table class="table table-striped">
                    <tr>
                        <th>Num</th><th>Type</th><th>Date</th><th>Montant</th>
                    </tr>
                    <tr th:each="o : ${listOperations}">
                        
                       <td th:text="${o.numeroOperation}"></td>
                       
                      <td th:text="${o.class.simpleName}"></td>
                      
                        <td th:text="${o.dateOperation}"></td>
                        <td th:text="${o.montant}"></td>
                    </tr>
                </table>
                <div class="container">
                    <ul class="nav nav-pills">
                        <li th:each="p,status:${pages}">
                            <a th:href="@{consulterCompte(codeCompte=${codeCompte},page=${status.index})}" th:text="${status.index}"></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>